<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Assesment</title>

    <style>
        .table-fixed-header{
            max-height: 500px;
            overflow-y: auto;
            position: relative;
        }

        .table-fixed-header table{
            width: 100%;
            background-color: #fff;
        }

        .table-fixed-header thead{
            position: sticky;
            top: 0;
            z-index: 10;
            background-color: #f8f8f8;
            font-weight: bold;
            font-size: 30px;
        }

        .table-fixed-header thead th:nth-child(1),
        .table-fixed-header thead th:nth-child(2){
            position: sticky;
            background-color: #f8f8f8;
            z-index: 20;
        }

        .table-fixed-header thead th:nth-child(1){
            left: 0;
        }

        .table-fixed-header thead th:nth-child(2){
            left: 100px;
        }

        .table-fixed-header tbody tr td:nth-child(1),
        .table-fixed-header tbody tr td:nth-child(2){
            position: sticky;
            background-color: white;
            z-index: 5;
        }

        .table-fixed-header tbody tr td:nth-child(1){
            left: 0;
        }

        .table-fixed-header tbody tr td:nth-child(2){
            left: 100px;
        }
    </style>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Score</h5>
                                        <span class="h2 font-weight-bold mb-0">Assesment</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <h3 class="mb-0">Form</h3>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-4">
                                <a th:href="@{/studiesActivity/assesment/weight (jadwal = ${detailJadwal.id})}"
                                   style="width: 100%;" class="btn btn-secondary">Pembobotan</a>
                            </div>
                            <div class="col-md-4">
                                <a href="#" style="width: 100%;" class="btn btn-primary">Penilaian</a>
                            </div>
                            <div class="col-md-4">
                                <a th:href="@{/studiesActivity/assesment/list}" style="width: 100%;"
                                   class="btn btn-secondary">Back</a>
                            </div>
                        </div>
                    </div>

                    <div class="table-responsive">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th><b class="mb-0">Tahun Akademik</b></th>
                                <th style="width: 0px;">:</th>
                                <th th:text="${detailJadwal.tahunAkademik.namaTahunAkademik}">2019/2020 Semester
                                    Ganjil
                                </th>
                                <th><b class="mb-0">Program Studi</b></th>
                                <th style="width: 0px;">:</th>
                                <th th:text="${detailJadwal.prodi.namaProdi}">Ekonomi Syariah</th>
                            </tr>
                            </thead>
                            <thead>
                            <tr>
                                <th><b class="mb-0">Mata Kuliah</b></th>
                                <th style="width: 0px;">:</th>
                                <th th:text="${detailJadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish}">Basic
                                    Econometrics
                                </th>
                                <th><b class="mb-0">Dosen</b></th>
                                <th style="width: 0px;">:</th>
                                <th th:text="${detailJadwal.dosen.karyawan.namaKaryawan}">Aam Slamet Rusydiana</th>
                            </tr>
                            </thead>
                            <thead class="thead-light">
                            <tr>
                                <th><b class="mb-0">SKS</b></th>
                                <th style="width: 0px;">:</th>
                                <th><span th:text="${detailJadwal.matakuliahKurikulum.jumlahSks}"></span> , Peserta :
                                    <span th:text="${jumlahMahasiswa}"></span> , Absensi Dosen : <span
                                            th:text="${absensi}"></span></th>
                                <th><b class="mb-0">Kelas</b></th>
                                <th style="width: 0px;">:</th>
                                <input type="hidden" id="jadwalId" th:value="${detailJadwal.id}">
                                <th th:text="${detailJadwal.kelas.namaKelas}">ES-18-R</th>
                            </tr>
                            </thead>
                            <thead>
                            <tr>
                                <th><b class="mb-0">Jadwal Kuliah</b></th>
                                <th style="width: 0px;">:</th>
                                <th>
                                    <span th:text="${detailJadwal.hari.namaHariEng}"></span>
                                    <small style="font-size: 8px"
                                           th:text="${detailJadwal.jamMulai + ' - ' + detailJadwal.jamSelesai}">13.00-15.00</small>
                                </th>
                            </tr>
                            </thead>
                        </table>
                    </div>

                    <div class="card-body">
                        <div class="card shadow">
                            <div class="card-header border-0">
                                <h3 class="mb-0">Penilaian</h3>
                            </div>
                            <div class="card-body">
                                <div class="table-fixed-header table-responsive">
                                    <table class="table table-striped table-bordered table-hover">
                                        <thead class="thead-light">
                                        <tr>
                                            <th >
                                                <center>NIM</center>
                                            </th>
                                            <th >
                                                <center>Mahasiswa</center>
                                            </th>
                                            <th>
                                                <center>Σ PRS</center>
                                            </th>
                                            <th>
                                                <center>PRS</center>
                                            </th>
                                            <th th:each="tugas: ${nilai.tugasList}">
                                                <center><span th:text="${'Tgs ' + tugas.pertemuan + ' ' + tugas.bobot + '%'}"></span></center>
                                            </th>
                                            <th>
                                                <center>Total Tugas</center>
                                            </th>
                                            <th th:each="uts : ${nilai.utsList}">
                                                <center>UTS <span th:text="${uts.pertemuan + '  ' + uts.bobot + '%'}">0.00%</span></center>
                                            </th>
                                            <th>
                                                <center>Total UTS</center>
                                            </th>
                                            <th th:each="uas : ${nilai.uasList}">
                                                <center>UAS <span th:text="${uas.pertemuan + '  ' + uas.bobot + '%'}">0.00%</span></center>
                                            </th>
                                            <th>
                                                <center>Total UAS</center>
                                            </th>
                                            <th>
                                                <center>NA</center>
                                            </th>
                                            <th>
                                                <center>Grade</center>
                                            </th>
                                        </tr>
                                        </thead>
                                        <tr th:each="data,row : ${jadwal}">
                                            <td scope="row" th:text="${data.mahasiswa.nim}">12345678
                                            </td>
                                            <td scope="row" th:text="${data.mahasiswa.nama}" height="50px">Naufal Rizqullah Al Banjar
                                            </td>
                                            <td class="text-center" th:id="${'kehadiran-'+data.id}"
                                                th:text="${data.jumlahKehadiran}">
                                                <center>14</center>
                                            </td>
                                            <td th:id="${'presensi-'+data.id}"
                                                th:text="${data.nilaiPresensi}">
                                                <center>0.00</center>
                                            </td>
                                            <td th:each="tugas :${nilai.tugasList}">
                                                <center><span th:with="nilaiKey=${data.mahasiswa.nim + '_' + tugas.id}"
                                                      th:text="${nilai.nilaiMap.containsKey(nilaiKey) ? nilai.nilaiMap.get(nilaiKey) : '-'}"></span></center>
                                            </td>
                                            <td><center th:if="${nilai.tugasList != null && !nilai.tugasList.isEmpty()}" th:text="${data.nilaiTugas}"></center></td>
                                            <td th:each="uts :${nilai.utsList}">
                                                <center><span th:with="nilaiKey=${data.mahasiswa.nim + '_' + uts.id}"
                                                          th:text="${nilai.nilaiMap.containsKey(nilaiKey) ? nilai.nilaiMap.get(nilaiKey) : '-'}"></span></center>
                                            </td>
                                            <td><center th:if="${nilai.utsList != null && !nilai.utsList.isEmpty()}" th:text="${data.nilaiUts}"></center></td>
                                            <td  th:each="uas :${nilai.uasList}">
                                                <center><span th:with="nilaiKey=${data.mahasiswa.nim + '_' + uas.id}"
                                                          th:text="${nilai.nilaiMap.containsKey(nilaiKey) ? nilai.nilaiMap.get(nilaiKey) : '-'}"></span></center>
                                            </td>
                                            <td><center th:if="${nilai.uasList != null && !nilai.uasList.isEmpty()}"  th:text="${data.nilaiUas}"></center></td>
                                            <td>
                                                <center th:id="${data.id}" th:text="${data.nilaiAkhir}">89.00</center>
                                            </td>
                                            <td>
                                                <center th:id="${data.id+'grade'}" th:text="${data.grade}">A</center>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>